diff --git a/dlls/wined3d/directx.c b/dlls/wined3d/directx.c
index 2ec60d4..a2cac99 100644
--- a/dlls/wined3d/directx.c
+++ b/dlls/wined3d/directx.c
@@ -1405,6 +1405,10 @@ static BOOL IWineD3DImpl_FillGLCaps(WineD3D_GL_Info *gl_info) {
     /* Make sure there's an active HDC else the WGL extensions will fail */
     hdc = pwglGetCurrentDC();
     if (hdc) {
+        if(NULL == GL_EXTCALL(wglGetExtensionsStringARB)) {
+            WARN("wglGetExtensionsStringARB is unavailable\n");
+        }
+        else {
         WGL_Extensions = GL_EXTCALL(wglGetExtensionsStringARB(hdc));
         TRACE_(d3d_caps)("WGL_Extensions reported:\n");
 
@@ -1441,6 +1445,7 @@ static BOOL IWineD3DImpl_FillGLCaps(WineD3D_GL_Info *gl_info) {
             }
         }
     }
+    }
     LEAVE_GL();
 
     return return_value;
